#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1,2)
%define		sname		gconf
#-----------------------------------------------------------------------------
Name		:	GConf
Version		:	3.2.6
Release		:	14.8.0.0%{?dist}
Summary		:	A configuration database system used by many GNOME applications.
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://ftp.gnome.org/pub/gnome/sources 

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gtk-doc,polkit
BuildRequires	:	gobject-introspection
BuildRequires	:	libxml2
BuildRequires	:	openldap-devel
BuildRequires	:	polkit-devel

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
GConf is a configuration database system, functionally similar to the
Windows registry but lots better. :-) It's being written for the GNOME
desktop but does not require GNOME; configure should notice if GNOME
is not installed and compile the basic GConf library anyway.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-orbit					\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#removing systemd information
%{__rm} -fr %{buildroot}%{_sysconfdir}/dbus-1/system.d

%files			
%defattr(-, root,root, 0755)

%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/%{sname}/2/*
%{_sysconfdir}/xdg/autostart/gsettings-data-convert.desktop
%{_bindir}/%{sname}*
%{_bindir}/gsettings-*
%{_libexecdir}/%{sname}*
%{_includedir}/%{sname}/2/%{sname}/%{sname}*.h
%{_libdir}/gio/modules/libgsettings%{sname}backend.{la,so}
%{_libdir}/%{name}/2/lib%{sname}backend-*.{la,so*}
%{_libdir}/lib%{sname}-2.{la,so*}
%{_libdir}/pkgconfig/%{sname}-2.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{sname}/*.{html,png}
%{_datadir}/gtk-doc/html/%{sname}/style.css
%{_datadir}/gtk-doc/html/%{sname}/%{sname}.devhelp2
%{_datadir}/gtk-doc/html/%{sname}/index.sgml
%{_datadir}/aclocal/%{sname}-2.m4
%{_datadir}/%{name}/schema/evoldap.schema
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/sgml/%{sname}/%{sname}-1.0.dtd
%{_datadir}/locale/*/LC_MESSAGES/%{name}2.mo
%{_mandir}/man1/*.1.gz
#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
